#ifndef _CTETRIS_H
#define _CTETRIS_H

#include <stdio.h>
#include <sys/stat.h>
#include <math.h>
#include <string.h>
#include <unistd.h>
#include <ncurses.h>
#include <stdlib.h>
#include <stdarg.h>
#include <termio.h>
#include <fcntl.h>
#include <signal.h>
#include <limits.h>

#define VERSION "v0.26" // version info
#define HEIGHT 24 // height of the screen
#define WIDTH 80 // width of the screen
#define BOARD_HEIGHT (HEIGHT - 6) // height of the board
#define BOARD_WIDTH 15 // width of the board
#define EXTRA_BONUS // if defined, you get a bonus for every brick
#define HIGHSCORE_FILE_PATH "/tmp/ctetris_highscore.dat"
#define YES 0
#define NO 1
#define REMOVE_SPLASH_TIME 500000 // (microseconds)

// with this variables you can change the average constancy of a game
#define SPEED_CONST_1 500
#define SPEED_CONST_2 15000
#define BONUS_CONST 100
#define LEVEL_CONST 300

void handle_quit_signal(const int);
void handle_winch_signal(const int);
unsigned char get_rand(const unsigned char);
int main(int, char *[]);

char quit, old_style_keys;

#endif


